package cn.fastfun.config;

import com.bridge.exception.ApiRuntimeException;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.HandlerInterceptor;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


@Component
public class TokenInterceptor implements HandlerInterceptor {
    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) {
        if (null == request.getHeader("X-Token")) {
            throw new ApiRuntimeException(501, "请先登录再调用");
        }
        return true;
    }
}
