package cn.fastfun.controller.dto.asset;

import com.fasterxml.jackson.annotation.JsonIgnoreType;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Setter
@Getter
@NoArgsConstructor
public class OmInfoDTO {
    private static final long serialVersionUID = -1821068317406106793L;

    @JsonIgnoreType
    @Setter
    @Getter
    public static class AllInfo{
        // 时间
        private String time;

        // 类型
        private String type;

        // 金额
        private BigDecimal amount;

        // 说明
        private String description;
    }


    // 运维总支出
    private BigDecimal totalCost;

    // 平台服务费
    private BigDecimal serviceCost;

    // 故障总支出
    private BigDecimal faultCost;


}
