package cn.fastfun.controller.dto.asset;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author user
 */
@Data
public class RentAndDepositChartDto {
    /**
     * 事件发生时间
     */
    @JsonFormat(pattern = "yyyy-MM", timezone = "GMT+8")
    private String month;
    /**
     * 总金额
     */
    private BigDecimal amountMonth;
    /**
     * 1 押金-收 2押金-支 3租金-收 4租金-支 5丢失保障金
     */
    private Integer type;
}
