package cn.fastfun.service.enums;

/**
 * @Project：boss
 * @ClassName：设备状态
 * @Describe：TODO
 * @author user
 */
public enum EnumDeviceStatus {
    /**
     * 设备状态
     */
    PRODUCTION(0, "生产"),
    OSS_INVENTORY(14, "OSS库存"),
    STORAGE_TRANSPORTATION(1, "OSS-平台运输中"),
    PLATFORM_INVENTORY(2, "平台库存"),
    TO_STORE_TRANSPORTATION(3, "发货至网点运输中"),
    TO_MERCHANT_TRANSPORTATION(4, "发货至商户运输中"),
    STORE_INVENTORY(5, "网点库存"),
    MERCHANT_INVENTORY(6, "商户库存"),
    STORE_USER_INUSE(7, "网点用户使用中"),
    MERCHANT_USER_INUSE(8, "商户用户使用中"),
    REPAIR_TRANSPORTATION(9, "送修运输中"),
    IN_REPAIR(10, "维修中"),
    REPAIR_DONE(11, "维修完成"),
    SCRAP(12, "报废"),
    HANDLE(15, "处置"),
    LOSE(13, "丢失"),
    ;
    Integer value;
    String text;

    EnumDeviceStatus(Integer value, String text) {
        this.value = value;
        this.text = text;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }
}

