package cn.fastfun.service.repository;

import cn.fastfun.controller.dto.DeviceBathNumDTO;
import cn.fastfun.service.entity.AppDevice;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

/**
 * Created by Eye
 *
 * @Author Bridge
 */
public interface AppDeviceRepository extends JpaRepository<AppDevice, String>, JpaSpecificationExecutor<AppDevice> {

    @Query(value = "select t.batch_num,t.sn,t.deliver_time,count(0) from pdms_oss.app_device t group by t.batch_num", nativeQuery = true)
    DeviceBathNumDTO selectCount();

}
