package cn.fastfun.controller.param;

import com.bridge.dto.QueryParam;
import com.bridge.dto.QueryParamExp;
import org.springframework.util.StringUtils;

public class LibraryQueryParam extends QueryParam {

    private String batchName;
    private String[] snArray;

    public void setSn(String sn) {
        if (!StringUtils.isEmpty(sn))
            addParam(QueryParamExp.like("sn", "%".concat(sn).concat("%")));
    }

    public void setStatus(Integer status) {
        if (!StringUtils.isEmpty(status))
            addParam(QueryParamExp.eq("status", status));
    }

    public String getBatchName() {
        return batchName;
    }

    public String[] getSnArray() {
        return snArray;
    }
}
